Loading...
Searching...
No Matches
Halide::Pipeline::RealizationArg Struct Reference

`#include <Pipeline.h>`

## Public Member Functions

| RealizationArg (Realization &r)
| RealizationArg (Realization &&r)
| RealizationArg (halide_buffer_t *buf)
template<typename T, int Dims>
| RealizationArg (Runtime::Buffer< T, Dims > &dst)
template<typename T, int Dims>
HALIDE_NO_USER_CODE_INLINE | RealizationArg (Buffer< T, Dims > &dst)
template<typename T, int Dims, typename... Args, typename = typename std::enable_if<Internal::all_are_convertible<Buffer<>, Args...>::value>::type>
| RealizationArg (Buffer< T, Dims > &a, Args &&...args)
| RealizationArg (RealizationArg &&from)=default
size_t | size () const

## Public Attributes

Realization * | r {nullptr}
halide_buffer_t * | buf {nullptr}
std::unique_ptr< std::vector< Buffer<> > > | buffer_list

## Detailed Description

Definition at line 109 of file Pipeline.h.

## Constructor & Destructor Documentation

## RealizationArg() [1/7]

Halide::Pipeline::RealizationArg::RealizationArg | ( | Realization & | r | ) |

inline

Definition at line 115 of file Pipeline.h.

References r.

Referenced by RealizationArg().

## RealizationArg() [2/7]

Halide::Pipeline::RealizationArg::RealizationArg | ( | Realization && | r | ) |

inline

Definition at line 118 of file Pipeline.h.

References r.

## RealizationArg() [3/7]

Halide::Pipeline::RealizationArg::RealizationArg | ( | halide_buffer_t * | buf | ) |

inline

Definition at line 121 of file Pipeline.h.

References buf.

## RealizationArg() [4/7]

template<typename T, int Dims>

Halide::Pipeline::RealizationArg::RealizationArg | ( | Runtime::Buffer< T, Dims > & | dst | ) |

inline

Definition at line 125 of file Pipeline.h.

References buf.

## RealizationArg() [5/7]

template<typename T, int Dims>

HALIDE_NO_USER_CODE_INLINE Halide::Pipeline::RealizationArg::RealizationArg | ( | Buffer< T, Dims > & | dst | ) |

inline

Definition at line 129 of file Pipeline.h.

References buf, and HALIDE_NO_USER_CODE_INLINE.

## RealizationArg() [6/7]

template<typename T, int Dims, typename... Args, typename = typename std::enable_if<Internal::all_are_convertible<Buffer<>, Args...>::value>::type>

Halide::Pipeline::RealizationArg::RealizationArg | ( | Buffer< T, Dims > & | a,
|  | Args &&... | args )

inline

Definition at line 134 of file Pipeline.h.

References buffer_list.

## RealizationArg() [7/7]

Halide::Pipeline::RealizationArg::RealizationArg | ( | RealizationArg && | from | ) |

default

References RealizationArg().

## Member Function Documentation

## size()

size_t Halide::Pipeline::RealizationArg::size | ( |  | ) | const

inline

Definition at line 139 of file Pipeline.h.

References buffer_list, and r.

## Member Data Documentation

## r

Realization* Halide::Pipeline::RealizationArg::r {nullptr}

Definition at line 111 of file Pipeline.h.

Referenced by RealizationArg(), RealizationArg(), and size().

## buf

halide_buffer_t* Halide::Pipeline::RealizationArg::buf {nullptr}

Definition at line 112 of file Pipeline.h.

Referenced by RealizationArg(), RealizationArg(), and RealizationArg().

## buffer_list

std::unique_ptr<std::vector<Buffer<> > > Halide::Pipeline::RealizationArg::buffer_list

Definition at line 113 of file Pipeline.h.

Referenced by RealizationArg(), and size().

The documentation for this struct was generated from the following file:

- src/Pipeline.h